# Using the MPR121
import time, board, audiocore, digitalio, touchio, neopixel
import adafruit_mpr121
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile

# configure the speaker
#speaker = digitalio.DigitalInOut(board.A0)
#speaker.direction = digitalio.Direction.OUTPUT
#speaker.value = True
audio = AudioOut(board.A0)

# set path where sound files can be found
path = "sounds/"
i2c = board.I2C()
touch_pad = adafruit_mpr121.MPR121(i2c)

# pixels_pin = board.NEOPIXEL
# pixels_num_of_lights = 2
# pixels = neopixel.NeoPixel(pixels_pin, pixels_num_of_lights)

led1 = digitalio.DigitalInOut(board.D2)
led1.direction = digitalio.Direction.OUTPUT
led2 = digitalio.DigitalInOut(board.D3)
led2.direction = digitalio.Direction.OUTPUT

def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            led1.value = True
            led2.value = True
            time.sleep(0.1)
            led1.value = False
            led2.value = False

mysounds = ["sound1.wav", "sound2.wav", "sound3.wav", "sound4.wav", "sound5.wav"]
sound_num = 0

while True:
    for i in range(12):
        if sound_num >= 5:
            sound_num = 0
        if touch_pad[i].value:
            print(f"{time.localtime()}")
            #play_sound("for-boston.wav")
            play_sound(mysounds[sound_num])
            sound_num += 1
            print(sound_num)



